---
schema_version: "1"
id: ca6b9362d5b13e8bc16c9250c31c9a8724d9b0a10343fca58495706ad1cefbd2
title: Experience Cloud Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-experience-cloud.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-experience-cloud
source_site: developer.salesforce.com
content_type: documentation
content_hash: 59fbd4faff7f7277fe03990e8e36367f2a61e71d916d8933b5fd9ccd24bb9b5f
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
Experience Cloud Connect REST API

# Experience Cloud Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v68.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v68.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### Experience Cloud Microsites Resources

Get, save, and submit marketing integration forms for an Experience Cloud site.

Experience Cloud Microsites resources make calls to the Marketing Cloud Engagement REST API to create, query, and insert data to the data extension object. If the API returns errors, Connect REST API error messages include the [error code and message](https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/error-handling.htm) from Marketing Cloud Engagement.

### Experience Cloud Sites Knowledge Resources

Get trending articles for an Experience Cloud site. Get trending and top-viewed articles for a topic in an Experience Cloud site. Increase article view counts.

### Experience Cloud Sites Moderation Resources

Get information about whether a user has flagged a file as inappropriate. Delete flags on files. Get audit statistics for a user in an Experience Cloud site.

### Experience Cloud Sites Personalization Resources

Get a list of assigned audiences that match the user context. Get audience information for a batch of audience IDs. Create, get, update, and delete an audience. Get a list of targets that match the user context, based on the assigned audiences that include the user. Create and update targets. Get target information for a batch of target IDs. Get and delete a target.

**Note**: Personalization varies what the user can see in the browser but doesn’t secure data in any way. To prevent users accessing sensitive data, use standard Salesforce security features, such as sharing rules and permission sets.

### Experience Cloud Sites Resources

Get information about Experience Cloud sites, create a site, and publish a site. Get the Experience Builder templates available to the context user. Get externally managed accounts for sites.

## Operations

### POST Microsites Marketing Integration Forms

`POST /sites/{siteId}/marketing-integration/forms`

Operation ID: `saveMarketIntegrationForm`. Tags: Experience Cloud Microsites Resources.

Form resource for marketing integration connect family.

Save a marketing integration form for an Experience Cloud site.

This API attempts to create a read-only data extension in Marketing Cloud Engagement. A Marketing Cloud Engagement admin can change the read-only setting. We recommend keeping the data extension as read-only to maintain schema consistency with the form.

_Available in: v53.0_

#### Parameters

*   `siteId` (path, string (Id), required) ID of an Experience Cloud site.  
    Pattern: ^(0DM)\\w\*.

#### Request body

Marketing integration form.

Media type: `application/json`. Schema: `FormInput`.

_Example: example\_1_ Payload 1

```
{
  "formFieldsList": {
    "formFields": [
      {
        "name": "First Name",
        "type": "Text"
      },
      {
        "name": "Last Name",
        "type": "Text"
      },
      {
        "name": "Email",
        "type": "EmailAddress"
      }
    ]
  },
  "formName": "Contact Us Data",
  "memberIdentificationCode": "marketing-account-id"
}
```

#### Responses

*   **200** _Form_ Marketing integration form.
    
    Media type: `application/json`. Schema: `Form`.
    

### GET Microsites Marketing Integration Form

`GET /sites/{siteId}/marketing-integration/forms/{formId}`

Operation ID: `getMarketIntegrationForm`. Tags: Experience Cloud Microsites Resources.

Individual form resource for marketing integration connect family.

Get a marketing integration form for an Experience Cloud site.

_Available in: v53.0_

#### Parameters

*   `formId` (path, string (Id), required) ID of the form.  
    Pattern: ^(8Cm)\\w\*.
*   `siteId` (path, string (Id), required) ID of an Experience Cloud site.  
    Pattern: ^(0DM)\\w\*.

#### Responses

*   **200** _Form_ Marketing integration form.
    
    Media type: `application/json`. Schema: `Form`.
    

### POST Microsites Marketing Integration Form Data

`POST /sites/{siteId}/marketing-integration/forms/{formId}/data`

Operation ID: `submitMarketIntegrationForm`. Tags: Experience Cloud Microsites Resources.

Form Submission resource for marketing integration connect family.

Submit a marketing integration form for an Experience Cloud site.

_Available in: v53.0_

#### Parameters

*   `formId` (path, string (Id), required) ID of the form.  
    Pattern: ^(8Cm)\\w\*.
*   `siteId` (path, string (Id), required) ID of an Experience Cloud site.  
    Pattern: ^(0DM)\\w\*.

#### Request body

Marketing integration form submission.

Media type: `application/json`. Schema: `FormSubmissionInput`.

_Example: example\_1_ Payload 1

```
{
  "formFieldsList": {
    "formFields": [
      {
        "name": "First Name",
        "value": "Test"
      },
      {
        "name": "Last Name",
        "value": "Moore"
      },
      {
        "name": "Email",
        "value": "testMoore@test.com"
      }
    ]
  }
}
```

#### Responses

*   **200** _Form Submission_ Marketing integration form submission.
    
    Media type: `application/json`. Schema: `FormSubmission`.
    

### GET Experience Cloud Site Trending Articles for a Topic

`GET /connect/communities/{communityId}/topics/{topicId}/trending-articles`

Operation ID: `getTrendingArticlesForTopic`. Tags: Experience Cloud Sites Knowledge Resources.

Trending Articles for a Topic.

Get trending articles for a topic in an Experience Cloud site.

_Available in: v36.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `topicId` (path, string (Id), required) ID of the topic.  
    Pattern: ^(0TO)\\w\*.
*   `maxResults` (query, integer)
    
    The maximum number of articles returned. Values can be from 0 to 25. Default is 5.
    
    _Available in: v36.0_
    

#### Responses

*   **200** _Knowledge Article Version Collection_ A collection of knowledge article versions.
    
    Media type: `application/json`. Schema: `KnowledgeArticleVersionCollection`.
    

### GET Experience Cloud Site Trending Articles

`GET /connect/communities/{communityId}/trending-articles`

Operation ID: `getTrendingArticles`. Tags: Experience Cloud Sites Knowledge Resources.

Trending Articles for a Community.

Get trending articles for an Experience Cloud site.

_Available in: v36.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `maxResults` (query, integer)
    
    The maximum number of articles returned. Values can be from 0 to 25. Default is 5.
    
    _Available in: v36.0_
    

#### Responses

*   **200** _Knowledge Article Version Collection_ A collection of knowledge article versions.
    
    Media type: `application/json`. Schema: `KnowledgeArticleVersionCollection`.
    

### GET Experience Cloud Sites List

`GET /connect/communities`

Operation ID: `getCommunities`. Tags: Experience Cloud Sites Resources.

Returns a list of all communities available to the context user.

Get a list of all Experience Cloud sites available to the context user.

_Available in: v28.0_

#### Parameters

*   `status` (query, ConnectNetworkStatusEnum)
    
    Returns only sites with the specified status.
    
    Only users with the Manage Experiences permission can see sites with an `Inactive` status.
    
    _Available in: v28.0_
    

#### Responses

*   **200** _Community Page_ Page of Experience Cloud sites.
    
    Media type: `application/json`. Schema: `CommunityPage`.
    

### POST Experience Cloud Sites List

`POST /connect/communities`

Operation ID: `createCommunity`. Tags: Experience Cloud Sites Resources.

Returns a list of all communities available to the context user.

Create an Experience Cloud site.

_Available in: v46.0_

#### Request body

Media type: `application/json`. Schema: `CommunityInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "The Capricorn Cafe",
  "urlPathPrefix": "capricorncafe",
  "templateName": "B2B Commerce Template",
  "templateParams": {
    "CreateStoreDefaults": "ALL"
  },
  "description": "Coffee and coffee products for the most discerning tastes."
}
```

#### Responses

*   **200** _Community Create_ Result of creating an Experience Cloud site.
    
    Media type: `application/json`. Schema: `CommunityCreate`.
    

### GET Experience Builder Templates

`GET /connect/communities/templates`

Operation ID: `getCommunityTemplates`. Tags: Experience Cloud Sites Resources.

Returns a list of all community templates available to the context user.

Get the Experience Builder templates available to the context user.

_Available in: v46.0_

#### Responses

*   **200** _Community Template Collection_ A list of Experience Builder templates.
    
    Media type: `application/json`. Schema: `CommunityTemplateCollection`.
    

### GET Experience Cloud Site

`GET /connect/communities/{communityId}`

Operation ID: `getCommunity`. Tags: Experience Cloud Sites Resources.

Returns information about the specified community.

Get information about an Experience Cloud site.

_Available in: v26.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Responses

*   **200** _Community_ Success
    
    Media type: `application/json`. Schema: `Community`.
    

### GET Experience Cloud Sites Moderation User Audit Statistics

`GET /connect/communities/{communityId}/chatter/users/{userId}/audit-actions/counts`

Operation ID: `getRecordCountsByAuditActionsByUserId`. Tags: Experience Cloud Sites Moderation Resources.

Returns audit statistics for a given user

Get audit statistics for a user in an Experience Cloud site.

_Available in: v40.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.

#### Responses

*   **200** _Moderation Audit Record Count_ Moderation audit record count.
    
    Media type: `application/json`. Schema: `ModerationAuditRecordCount`.
    

### GET Flagged Files

`GET /connect/communities/{communityId}/files/moderation`

Operation ID: `getFlaggedFilesCollection`. Tags: Experience Cloud Sites Moderation Resources.

Returns information about the files flagged within the community.

Files that are flagged.

_Available in: v36.0_

**Note**: In version 30.0–35.0, use `/connect/communities/{communityId}/chatter/files/moderation`.

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `page` (query, integer)
    
    Specifies the number of the page you want returned.
    
    _Available in: v30.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v30.0_
    
*   `q` (query, string)
    
    A query string to filter the results. The string must contain at least two characters, not including wildcards. For information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).
    
    _Available in: v33.0_
    

#### Responses

*   **200** _File Summary Page_ File summary page.
    
    Media type: `application/json`. Schema: `FileSummaryPage`.
    

### GET Moderation Flags on Files

`GET /connect/communities/{communityId}/files/{fileId}/moderation-flags`

Operation ID: `getFlagsOnFile`. Tags: Experience Cloud Sites Moderation Resources.

Used to flag or remove one or more flags from a specific file.

If the context user is a moderator, get the number of times members flagged a file.

If the context user isn’t a moderator, get whether the user flagged a file. Also flag a file for moderation and remove a flag the user previously added.

_Available in: v36.0_

**Note**: In versions 30.0–35.0, use `/connect/communities/{communityId}/chatter/files/{fileId}/moderation-flags`.

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `page` (query, string)
    
    Specifies the page token to use to view a page of information. Page tokens are returned as part of the response class, such as `currentPageToken` or `nextPageToken`. If you pass in `null`, the first page is returned.
    
    _Available in: v40.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. The default size is 0.
    
    _Available in: v40.0_
    
*   `visibility` (query, ConnectNetworkModerationVisibilityEnum)
    
    Visibility behavior of a flag for various user types.
    
    *   `ModeratorsOnly` — The flag is visible only to users with moderation permissions on the flagged element or item.
    *   `SelfAndModerators` — The flag is visible to the creator of the flag and to users with moderation permissions on the flagged element or item.
    
    _Available in: v30.0_
    

#### Responses

*   **200** _Moderation Flags_ Moderation flags.
    
    Media type: `application/json`. Schema: `ModerationFlags`.
    

### POST Moderation Flags on Files

`POST /connect/communities/{communityId}/files/{fileId}/moderation-flags`

Operation ID: `addFlagToFile`. Tags: Experience Cloud Sites Moderation Resources.

Used to flag or remove one or more flags from a specific file.

If the context user is or isn’t a moderator, flag a file for moderation.

_Available in: v36.0_

**Note**: In versions 30.0–35.0, use `/connect/communities/{communityId}/chatter/files/{fileId}/moderation-flags`.

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `note` (query, string)
    
    A note of up to 4,000 characters about the flag.
    
    _Available in: v38.0_
    
*   `type` (query, ConnectNetworkModerationTypeEnum)
    
    Type of moderation flag.
    
    *   `FlagAsInappropriate` — Flag for inappropriate content.
    *   `FlagAsSpam` — Flag for spam.
    
    If not specified, `FlagAsInappropriate` is the default value.
    
    _Available in: v38.0_
    
*   `visibility` (query, ConnectNetworkModerationVisibilityEnum)
    
    Visibility behavior of a flag for various user types.
    
    *   `ModeratorsOnly` — The flag is visible only to users with moderation permissions on the flagged element or item.
    *   `SelfAndModerators` — The flag is visible to the creator of the flag and to users with moderation permissions on the flagged element or item.
    
    _Available in: v30.0_
    

#### Request body

Moderation flag input.

_Available in: v38.0_

Media type: `application/json`. Schema: `ModerationFlagInput`.

_Example: example\_1_ Payload 1

```
{
  "note": "Flagged by moderator as spam on 6.6.16.",
  "type": "FlagAsSpam",
  "visibility": "ModeratorsOnly"
}
```

#### Responses

*   **200** _Moderation Flags_ Moderation flags.
    
    Media type: `application/json`. Schema: `ModerationFlags`.
    

### DELETE Moderation Flags on Files

`DELETE /connect/communities/{communityId}/files/{fileId}/moderation-flags`

Operation ID: `removeFlagFromFile`. Tags: Experience Cloud Sites Moderation Resources.

Used to flag or remove one or more flags from a specific file.

Delete all flags on a file.

_Available in: v36.0_

**Note**: In versions 30.0–35.0, use `/connect/communities/{communityId}/chatter/files/{fileId}/moderation-flags`.

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `userId` (query, string)
    
    The ID of the context user. If specified, removes the flag the user previously added to the file. If not specified and the context user is a moderator, removes all flags on the file.
    
    _Available in: v30.0_
    

#### Responses

*   **200** Success

### GET Personalization Audiences

`GET /connect/communities/{communityId}/personalization/audiences`

Operation ID: `getAudiences`. Tags: Experience Cloud Sites Personalization Resources.

Returns a list of audiences applicable to the context user.

Get a list of assigned audiences that match the user context.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `domain` (query, string)
    
    Name of the user’s Salesforce custom domain. If not specified, no audiences with domain criteria are returned.
    
    _Available in: v47.0_
    
*   `includeAudienceCriteria` (query, boolean)
    
    Specifies whether to include audience criteria (`true`) or not (`false`). If unspecified, defaults to `false`.
    
    _Available in: v47.0_
    
*   `ipAddress` (query, string)
    
    IP address of the user. If not specified, no audiences with location criteria are returned.
    
    _Available in: v47.0_
    
*   `publishStatus` (query, ConnectPublishStatusEnum)
    
    Publish status of the audience.
    
    If not specified, the default is `Live`.
    
    _Available in: v47.0_
    
*   `recordId` (query, string)
    
    ID of the record for field based criteria. If not specified, all applicable audiences with field based criteria are returned.
    
    _Available in: v51.0_
    
*   `targetTypes` (query, array of string)
    
    Comma-separated list of target types to filter the results. Supported values include:
    
    *   `ExperienceVariation` (version 47.0 and later)
    *   Custom object API names, such as `{CustomObjectName}__c` (version 47.0 and later)
    *   `NavigationLinkSet` (version 49.0 and later)
    *   `Topic` (version 49.0 and later)
    *   `CollaborationGroup` (version 49.0 and later)
    *   `KnowledgeArticle` (version 49.0 and later)
    *   `ContentDocument` (version 49.0 and later)
    *   `ManagedContent` (version 49.0 and later)
    *   `Report` (version 49.0 and later)
    *   `Dashboard` (version 49.0 and later)
    
    If not specified, all target types are returned.
    
    _Available in: v47.0_
    
*   `userId` (query, string)
    
    ID of the user. If not specified, the default is the ID of the context user.
    
    _Available in: v47.0_
    

#### Responses

*   **200** _Audience Collection_ Collection of audiences.
    
    Media type: `application/json`. Schema: `AudienceCollection`.
    

### POST Personalization Audiences

`POST /connect/communities/{communityId}/personalization/audiences`

Operation ID: `createAudience`. Tags: Experience Cloud Sites Personalization Resources.

Returns a list of audiences applicable to the context user.

Create an audience.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Request body

An audience.

Media type: `application/json`. Schema: `AudienceInput`.

#### Responses

*   **200** _Audience_ An audience.
    
    Media type: `application/json`. Schema: `Audience`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "criteria": [
      {
      "criterion": [
         {
         "entityType": "User",
         "fieldValue": "60005500",
         "entityField": "Contact.Account.AnnualRevenue"
         },
         {
         "entityType": "User",
         "fieldValue": "6000557700",
         "entityField": "Contact.Account.AnnualRevenue"
         }
      ],
      "criterionNumber": 1,
      "criterionOperator": "Equal",
      "criterionType": "FieldBased"
      },
      {
      "criterion": [
         {
         "permission": "AssignTopics", // give permission id in case of custom permission
         "isEnabled": "true"
         }
      ],
      "criterionNumber": 2,
      "criterionOperator": "Equal",
      "criterionType": "Permission"
      },
      {
      "criterion": [
         {
         "domainId": "0I4...", // give domain id 
         },
         {
         "domainId": "0I4...", // give domain id 
         }
      ],
      "criterionNumber": 3,
      "criterionOperator": "Equal",
      "criterionType": "Domain"
      },
      {
      "criterion": [
         {
         "profileId": "00e...", // give profile id 
         },
         {
         "profileId": "00e...", // give profile id 
         }
      ],
      "criterionNumber": 4,
      "criterionOperator": "Equal",
      "criterionType": "Profile"
      },
      {
      "criterion": [
         {
         "country": "US",
         "subdivision" : "California",
         "city" : "LA"
         },
         {
         "country": "US",
         "subdivision" : "California",
         "city" : "SF"
         },
      ],
      "criterionNumber": 5,
      "criterionOperator": "Equal",
      "criterionType": "GeoLocation"
      },
      {
      "criterion": [
         {
         "audienceId": "6Au...": // give audience id 
         }
      ]
      "criterionNumber": 6,
      "criterionOperator": "Equal",
      "criterionType": "Audience"
      }
    ],
   "customFormula": "(1 OR (2 AND 3)) AND 4 AND 5 AND 6",
   "formulaFilterType": "CustomLogicMatches",
   "name": "CreateAudienceExample"
}
```

### GET Personalization Audiences, Batch

`GET /connect/communities/{communityId}/personalization/audiences/batch/{audienceIds}`

Operation ID: `getAudienceBatch`. Tags: Experience Cloud Sites Personalization Resources.

Access information about a list of audiences within a community

Get audience information for a comma-separated list of audience IDs.

_Available in: v48.0_

#### Parameters

*   `audienceIds` (path, array of string (Id), required) Comma-separated list of audience IDs.
*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### GET Personalization Audience

`GET /connect/communities/{communityId}/personalization/audiences/{audienceId}`

Operation ID: `getAudience`. Tags: Experience Cloud Sites Personalization Resources.

Access information about a single audience within a community

Get an audience.

_Available in: v47.0_

#### Parameters

*   `audienceId` (path, string (Id), required) ID of the audience.  
    Pattern: ^(6Au)\\w\*.
*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `includeAudienceCriteria` (query, boolean)
    
    Specifies whether to include audience criteria (`true`) or not (`false`). If unspecified, defaults to `false`.
    
    _Available in: v47.0_
    

#### Responses

*   **200** _Audience_ An audience.
    
    Media type: `application/json`. Schema: `Audience`.
    

### DELETE Personalization Audience

`DELETE /connect/communities/{communityId}/personalization/audiences/{audienceId}`

Operation ID: `deleteAudience`. Tags: Experience Cloud Sites Personalization Resources.

Access information about a single audience within a community

Delete an audience.

_Available in: v47.0_

#### Parameters

*   `audienceId` (path, string (Id), required) ID of the audience.  
    Pattern: ^(6Au)\\w\*.
*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH Personalization Audience

`PATCH /connect/communities/{communityId}/personalization/audiences/{audienceId}`

Operation ID: `updateAudience`. Tags: Experience Cloud Sites Personalization Resources.

Access information about a single audience within a community

Update an audience.

_Available in: v47.0_

#### Parameters

*   `audienceId` (path, string (Id), required) ID of the audience.  
    Pattern: ^(6Au)\\w\*.
*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Request body

An audience.

Media type: `application/json`. Schema: `AudienceInput`.

#### Responses

*   **200** _Audience_ An audience.
    
    Media type: `application/json`. Schema: `Audience`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "criteria": [
      {
      "criterion": [
         {
         "entityType": "User",
         "fieldValue": "60005500",
         "entityField": "Contact.Account.AnnualRevenue"
         },
         {
         "entityType": "User",
         "fieldValue": "6000557700",
         "entityField": "Contact.Account.AnnualRevenue"
         }
      ],
      "criterionNumber": 1,
      "criterionOperator": "Equal",
      "criterionType": "FieldBased"
      },
      {
      "criterion": [
         {
         "permission": "AssignTopics", // give permission id in case of custom permission
         "isEnabled": "true"
         }
      ],
      "criterionNumber": 2,
      "criterionOperator": "Equal",
      "criterionType": "Permission"
      },
      {
      "criterion": [
         {
         "domainId": "0I4...", // give domain id 
         },
         {
         "domainId": "0I4...", // give domain id 
         }
      ],
      "criterionNumber": 3,
      "criterionOperator": "Equal",
      "criterionType": "Domain"
      },
      {
      "criterion": [
         {
         "profileId": "00e...", // give profile id 
         },
         {
         "profileId": "00e...", // give profile id 
         }
      ],
      "criterionNumber": 4,
      "criterionOperator": "Equal",
      "criterionType": "Profile"
      },
      {
      "criterion": [
         {
         "country": "US",
         "subdivision" : "California",
         "city" : "LA"
         },
         {
         "country": "US",
         "subdivision" : "California",
         "city" : "SF"
         },
      ],
      "criterionNumber": 5,
      "criterionOperator": "Equal",
      "criterionType": "GeoLocation"
      },
      {
      "criterion": [
         {
         "audienceId": "6Au...": // give audience id 
         }
      ]
      "criterionNumber": 6,
      "criterionOperator": "Equal",
      "criterionType": "Audience"
      }
    ],
   "customFormula": "(1 OR (2 AND 3)) AND 4 AND 5 AND 6",
   "formulaFilterType": "CustomLogicMatches",
   "name": "CreateAudienceExample"
}
```

### GET Personalization Targets

`GET /connect/communities/{communityId}/personalization/targets`

Operation ID: `getCommunityTargetCollection`. Tags: Experience Cloud Sites Personalization Resources.

Returns a list of targets applicable to the context user.

Get a list of targets that match the user context, based on the assigned audiences that include the user.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `domain` (query, string)
    
    Name of the user’s Salesforce custom domain. If not specified, no audience targets with domain criteria are returned.
    
    _Available in: v47.0_
    
*   `groupNames` (query, array of string)
    
    A comma-separated list of group names. Groups bundle related target and audience pairs. If you’re specifying group names, you must also specify a single `targetTypes` value.
    
    _Available in: v48.0_
    
*   `includeAllMatchingTargetsWithinGroup` (query, boolean)
    
    Specifies whether to include all the matching targets within a target group ( `true` ) or not ( `false` ). If not specified, the default is `false`. If `false`, the first matching target within each group, based on priority within the group, is returned.
    
    _Available in: v47.0_
    
*   `includeAudience` (query, boolean)
    
    Specifies whether to include the matching audience ( `true` ) or not ( `false` ). If not specified, the default is `false`.
    
    _Available in: v47.0_
    
*   `ipAddress` (query, string)
    
    IP address of the user. If not specified, no audience targets with location criteria are returned.
    
    _Available in: v47.0_
    
*   `publishStatus` (query, ConnectPublishStatusEnum)
    
    Publish status of the target.
    
    If not specified, the default is `Live`.
    
    _Available in: v47.0_
    
*   `recordId` (query, string)
    
    ID of the record, if you want to specify field based criteria in audiences.
    
    _Available in: v47.0_
    
*   `targetTypes` (query, array of string)
    
    Comma-separated list of target types to filter the results. Supported values include:
    
    *   `ExperienceVariation` (version 47.0 and later)
    *   Custom object API names, such as `{CustomObjectName}__c` (version 47.0 and later)
    *   `NavigationLinkSet` (version 49.0 and later)
    *   `Topic` (version 49.0 and later)
    *   `CollaborationGroup` (version 49.0 and later)
    *   `KnowledgeArticle` (version 49.0 and later)
    *   `ContentDocument` (version 49.0 and later)
    *   `ManagedContent` (version 49.0 and later)
    *   `Report` (version 49.0 and later)
    *   `Dashboard` (version 49.0 and later)
    
    If not specified, all target types are returned.
    
    Required if specifying `groupNames` ; otherwise optional
    
    _Available in: v47.0_
    
*   `userId` (query, string)
    
    ID of the user. If not specified, the default is the ID of the context user.
    
    _Available in: v47.0_
    

#### Responses

*   **200** _Target Collection_ List of personalization targets.
    
    Media type: `application/json`. Schema: `TargetCollection`.
    

### POST Personalization Targets

`POST /connect/communities/{communityId}/personalization/targets`

Operation ID: `postCommunityTargetCollection`. Tags: Experience Cloud Sites Personalization Resources.

Returns a list of targets applicable to the context user.

Create targets.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Request body

Media type: `application/json`. Schema: `TargetCollectionInput`.

_Example: example\_1_ Payload 1

```
{
  "targets": [
    {
      "audienceId": "6AuRM0000004D5w0AE",
      "groupName": "2b8bc305-d415-49f9-8e24-814455427324",
      "priority": 1,
      "publishStatus": "Draft",
      "targetType": "ExperienceVariation",
      "targetValue": "ContactSupport_ContactSupportForCalifornia_Page"
    }
  ]
}
```

#### Responses

*   **200** _Target Collection_ List of personalization targets.
    
    Media type: `application/json`. Schema: `TargetCollection`.
    

### PATCH Personalization Targets

`PATCH /connect/communities/{communityId}/personalization/targets`

Operation ID: `patchCommunityTargetCollection`. Tags: Experience Cloud Sites Personalization Resources.

Returns a list of targets applicable to the context user.

Update targets.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Request body

Media type: `application/json`. Schema: `TargetCollectionUpdateInput`.

_Example: example\_1_ Payload 1

```
{
  "targets": [
    {
      "audienceId": "6AuRM0000004D5w0AE",
      "priority": 1,
      "targetId": "6AtRM0000000II30AM"
    }
  ]
}
```

#### Responses

*   **200** _Target Collection_ List of personalization targets.
    
    Media type: `application/json`. Schema: `TargetCollection`.
    

### GET Personalization Targets, Batch

`GET /connect/communities/{communityId}/personalization/targets/batch/{targetIds}`

Operation ID: `getCommunityTargetBatch`. Tags: Experience Cloud Sites Personalization Resources.

Returns Target information for a list of targetIDs in a community.

Get target information for a comma-separated list of target IDs.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `targetIds` (path, array of string (Id), required) Comma-separated list of target IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### GET Personalization Target

`GET /connect/communities/{communityId}/personalization/targets/{targetId}`

Operation ID: `getCommunityTarget`. Tags: Experience Cloud Sites Personalization Resources.

Returns details about the given TargetID in a community.

Get a target.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `targetId` (path, string (Id), required) ID of the target.  
    Pattern: ^(6At)\\w\*.

#### Responses

*   **200** _Target_ Personalization target information.
    
    Media type: `application/json`. Schema: `Target`.
    

### DELETE Personalization Target

`DELETE /connect/communities/{communityId}/personalization/targets/{targetId}`

Operation ID: `deleteCommunityTarget`. Tags: Experience Cloud Sites Personalization Resources.

Returns details about the given TargetID in a community.

Delete a target.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `targetId` (path, string (Id), required) ID of the target.  
    Pattern: ^(6At)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET Experience Cloud Site Preview URL

`GET /connect/communities/{communityId}/preview-url/pages/{pageApiName}`

Operation ID: `getPagePreviewUrl`. Tags: Experience Cloud Sites Resources.

Construct a community page preview URL.

Get a preview URL for an Experience Cloud site page.

_Available in: v61.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `pageApiName` (path, string, required) The `{pageApiName}` is the API name of a page, such as `Product_Detail` or `Home`.
*   `urlParameters` (query, string)
    
    URL-encoded string of key-value pairs, such as `recordName%3Example-record-name%26recordId%3D01txx0000006i7IAAQ`.
    
    Optional unless required by the page URL
    
    _Available in: v61.0_
    

#### Responses

*   **200** _Community Preview URL_ Preview URL for an Experience Cloud site page.
    
    Media type: `application/json`. Schema: `CommunityPreviewUrl`.
    

### POST Experience Cloud Site, Publish

`POST /connect/communities/{communityId}/publish`

Operation ID: `publishCommunity`. Tags: Experience Cloud Sites Resources.

Publishes all pending changes in a community

Publish an Experience Cloud site.

_Available in: v46.0_

**Note**: POST doesn’t take request parameters or a request body.

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.

#### Responses

*   **200** _Community Publish_ Result of publishing an Experience Cloud site.
    
    Media type: `application/json`. Schema: `CommunityPublish`.
    

### GET Experience Cloud Sites Externally Managed Accounts

`GET /connect/communities/{communityId}/external-managed-accounts`

Operation ID: `getCommunitiesExternalManagedAccounts`. Tags: Experience Cloud Sites Resources.

A collection of External Managed Accounts.

Get externally managed accounts available to the context user across all Experience Cloud sites.

_Available in: v50.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required)
    
    ID of an Experience Cloud site.
    
    Regardless of the ID specified, this resource returns all the externally managed accounts available to the context user across all sites.
    
*   `includeMyAccount` (query, boolean)
    
    Specifies whether to return the context user’s account (`true`) or not (`false`). The default value is `false`.
    
    _Available in: v53.0_
    

#### Responses

*   **200** _External Managed Account Collection Output_ Collection of externally managed accounts.
    
    Media type: `application/json`. Schema: `ExternalManagedAccountCollectionOutput`.
    

## Schemas

### FormInput

Marketing integration form.

*   `formFieldsList` (_array of FormFieldInput_, required)
    
    Fields for the marketing integration form.
    
    _Available in: v53.0_
    
*   `formName` (_string_, required)
    
    Name of the marketing integration form.
    
    _Available in: v53.0_
    
*   `memberIdentificationCode` (_string_, required)
    
    The member identification code (MID) of the Marketing Cloud Engagement account associated with the form.
    
    _Available in: v53.0_
    

### Form

Marketing integration form.

*   `dataExtensionId` (_string_)
    
    ID of the data extension associated with the marketing integration form.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
*   `formFieldsList` (_object_)
    
    FormFieldList
    
    List of form fields associated with the marketing integration form.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
    Includes all fields of `FormFieldList`.
    
*   `formId` (_string_)
    
    ID of the marketing integration form.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
*   `formName` (_string_)
    
    Name of the marketing integration form.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    

### FormSubmissionInput

Marketing integration form submission.

*   `formFieldsList` (_array of FormSubmissionFieldInput_, required)
    
    Fields for the marketing integration form.
    
    _Available in: v53.0_
    

### FormSubmission

Marketing integration form submission.

*   `formSubmissionId` (_string_)
    
    ID of the form submission, representing the submission data that was saved.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    

### KnowledgeArticleVersionCollection

A collection of knowledge article versions.

*   `items` (_array of KnowledgeArticleVersion_)
    
    A collection of knowledge article versions.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    

### ConnectNetworkStatusEnum

Site’s status.

_Available in: v28.0_

_Filter group: Small_

Type: `string`.

Allowed values: `Inactive`, `Live`, `UnderConstruction`.

### CommunityPage

Page of Experience Cloud sites.

*   `communities` (_array of Community_)
    
    List of sites available to the context user.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `total` (_integer_)
    
    Total number of sites.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    

### CommunityInput

Create an Experience Cloud site.

*   `description` (_string_)
    
    Description of the site.
    
    _Available in: v46.0_
    
*   `name` (_string_, required)
    
    Name of the site.
    
    _Available in: v46.0_
    
*   `templateName` (_string_, required)
    
    Name of the Experience Builder template for the site.
    
    Use the [Experience Builder Templates](#operation/getCommunityTemplates) resource to get a list of available templates and their names.
    
    _Available in: v46.0_
    
*   `templateParams` (_object_)
    
    Map of template-specific parameters. Valid values are:
    
    *   " `AuthenticationType` " : " `AUTHENTICATED` "
    *   " `AuthenticationType` " : " `UNAUTHENTICATED` " (version 52.0–55.0)
    *   " `AuthenticationType` " : " `AUTHENTICATED_WITH_PUBLIC_ACCESS` "
    *   " `CreateStoreDefaults` " : " `ALL` "
    *   " `CreateStoreDefaults` " : " `NONE` "
    *   " `WebstoreId` " : " `{WebstoreId}` "
    
    `AuthenticationType` values are valid when creating an Experience Cloud site using the Build Your Own (LWR) template.
    
    `CreateStoreDefaults` values are valid when creating an Experience Cloud site using the B2B or D2C store template.
    
    The `WebstoreId` value is valid when creating an Experience Cloud site using the B2B Aura, B2B LWR, and D2C templates. The store can't already be associated to a site, and the store type field must match the template. The B2B store type can be used with the B2B Aura and B2B LWR templates, and the D2C store type can be used with the D2C template.
    
    _Available in: v52.0_
    
    Additional properties: `string`.
    
*   `urlPathPrefix` (_string_)
    
    URL prefix for the site. For example, in the site URL `{MyDomainName}.my.site.com/customers`, `customers` is the `urlPathPrefix`.
    
    Required if you already have a site that doesn't have a `urlPathPrefix`.
    
    _Available in: v46.0_
    

### CommunityCreate

Result of creating an Experience Cloud site.

*   `jobId` (_string_)
    
    ID of the [BackgroundOperation](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_backgroundoperation.htm) record for the create job. Query this ID to track the creation status of the site.
    
    _Available in: v58.0_
    
    _Filter group: Small_
    
*   `message` (_string_)
    
    Message saying that create is in progress.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Name of the site.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    

### CommunityTemplateCollection

A list of Experience Builder templates.

*   `templates` (_array of CommunityTemplate_)
    
    List of Experience Builder templates.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `total` (_integer_)
    
    Total count of templates.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    

### Community

Experience Cloud site.

*   `allowChatterAccessWithoutLogin` (_boolean_)
    
    Specifies if guest users can access public groups without logging in.
    
    _Available in: v31.0_
    
    _Filter group: Small_
    
*   `allowMembersToFlag` (_boolean_)
    
    Specifies whether members can flag content.
    
    _Available in: v30.0_
    
    _Filter group: Small_
    
*   `builderBasedSnaEnabled` (_boolean_)
    
    Specifies whether the Service Not Available page is an auto-generated Experience Builder-based page (`true`) or a static resource page that’s set in **Workspaces** > **Administration** > **Pages** (`false`).
    
    _Available in: v52.0_
    
    _Filter group: Small_
    
*   `builderUrl` (_string_)
    
    Experience Builder URL for the site.
    
    _Available in: v56.0_
    
    _Filter group: Small_
    
*   `contentSpaceId` (_string (Id)_)
    
    ID of the managed content space associated with the enhanced site.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `description` (_string_)
    
    Site’s description.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `guestMemberVisibilityEnabled` (_boolean_)
    
    Specifies whether guest members can see other members (`true`) or not (`false`).
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    18-character ID of the site.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `imageOptimizationCDNEnabled` (_boolean_)
    
    Specifies whether images are optimized for guest users on all devices for sites using Salesforce's CDN for Digital Experiences (`true`) or not (`false`).
    
    _Available in: v56.0_
    
    _Filter group: Small_
    
*   `invitationsEnabled` (_boolean_)
    
    Specifies whether members can invite other members to the site ( `true` ) or not ( `false` ).
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `knowledgeableEnabled` (_boolean_)
    
    Specifies whether knowledgeable people and endorsements are available for topics (`true`), or not (`false`).
    
    _Available in: v30.0_
    
    _Filter group: Small_
    
*   `loginUrl` (_string_)
    
    Login URL for the site.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `memberVisibilityEnabled` (_boolean_)
    
    Specifies whether members can see other members (`true`) or not (`false`).
    
    _Available in: v45.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Site name.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `nicknameDisplayEnabled` (_boolean_)
    
    Specifies whether nicknames are displayed.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `privateMessagesEnabled` (_boolean_)
    
    Specifies whether members can send and receive private messages to and from other members (`true`) or not (`false`).
    
    _Available in: v30.0_
    
    _Filter group: Small_
    
*   `reputationEnabled` (_boolean_)
    
    Specifies whether reputation is calculated and displayed for members.
    
    _Available in: v31.0_
    
    _Filter group: Small_
    
*   `sendWelcomeEmail` (_boolean_)
    
    Specifies whether a welcome email is automatically generated and sent to any new member. `true` if email is sent, `false` otherwise.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `siteAsContainerEnabled` (_boolean_)
    
    Specifies whether the site is an Experience Builder site (`true`) or a Salesforce Tabs + Visualforce site (`false`).
    
    _Available in: v41.0_
    
    _Filter group: Small_
    
*   `siteUrl` (_string_)
    
    URL for the site, which is the site domain name plus a URL prefix. For example, `{MyDomainName}.my.site.com/customers`.
    
    _Available in: v30.0_
    
    _Filter group: Small_
    
*   `status` (_object_)
    
    ConnectNetworkStatusEnum
    
    Site’s status.
    
    _Available in: v28.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectNetworkStatusEnum`.
    
*   `templateName` (_string_)
    
    Name of the Experience Builder template.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    Connect REST API URL to the site.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `urlPathPrefix` (_string_)
    
    Site-specific URL prefix. For example, in the site URL `{MyDomainName}.my.site.com/customers`, `customers` is the `urlPathPrefix`.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    

### ModerationAuditRecordCount

Moderation audit record count.

*   `auditActionToCount` (_object_)
    
    The number of actions audited for a user in an Experience Cloud site. For String values of audit actions, see [NetworkActivityAudit](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_networkactivityaudit.htm) in the Object Reference for Salesforce and Lightning Platform.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Additional properties: `number (int64)`.
    

### FileSummaryPage

File summary page.

*   `currentPageUrl` (_string_)
    
    URL to the current page of files.
    
    _Available in: v24.0_
    
    _Filter group: Medium_
    
*   `files` (_array of FileSummary_)
    
    Collection of one or more files.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `nextPageUrl` (_string_)
    
    URL to the next page of files.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `previousPageUrl` (_string_)
    
    URL to the previous page of files.
    
    _Available in: v24.0_
    
    _Filter group: Medium_
    

### ConnectNetworkModerationVisibilityEnum

Visibility behavior of a flag for various user types. Values are:

*   `ModeratorsOnly` — The flag is visible only to users with moderation permissions on the flagged element or item.
*   `SelfAndModerators` — The flag is visible to the creator of the flag and to users with moderation permissions on the flagged element or item.

_Available in: v40.0_

_Filter group: Small_

Type: `string`.

Allowed values: `ModeratorsOnly`, `SelfAndModerators`.

### ModerationFlags

Moderation flags.

*   `flagCount` (_integer_)
    
    If the context user is a community moderator, the total number of flags on the post, comment, or file. If the context user isn’t a community moderator, value is `null`.
    
    Flags on files is available starting in version 30.0.
    
    _Available in: v29.0_
    
    _Filter group: Small_
    
*   `flagCountByReason` (_object_)
    
    Number of moderation flags categorized by reason. Values for String are:
    
    *   `FlaggedByRule` — Moderation rule flagged the item.
    *   `FlaggedBySystem` — Einstein flagged the item.
    *   `FlaggedByUserAsInappropriate` — User flagged the item as inappropriate.
    *   `FlaggedByUserAsSpam` — User flagged the item as spam.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Additional properties: `integer`.
    
*   `flaggedByMe` (_boolean_)
    
    Indicates whether the post, comment, or file was flagged by the context user ( `true` ) or not ( `false` ).
    
    Flags on files is available starting in version 30.0.
    
    _Available in: v29.0_
    
    _Filter group: Small_
    
*   `flags` (_object_)
    
    ModerationFlagsCollection
    
    Collection of flags.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `ModerationFlagsCollection`.
    

### ConnectNetworkModerationTypeEnum

Type of moderation flag. Values are:

*   `FlagAsInappropriate` — Flag for inappropriate content.
*   `FlagAsSpam` — Flag for spam.

_Available in: v40.0_

_Filter group: Small_

Type: `string`.

Allowed values: `FlagAsInappropriate`, `FlagAsSpam`.

### ModerationFlagInput

Moderation flag input.

*   `note` (_string_)
    
    A note of up to 4,000 characters about the flag.
    
    _Available in: v38.0_
    
*   `type` (_object_)
    
    ConnectNetworkModerationTypeEnum
    
    Type of moderation flag.
    
    *   `FlagAsInappropriate` — Flag for inappropriate content.
    *   `FlagAsSpam` — Flag for spam.
    
    _Available in: v38.0_
    
    Includes all fields of `ConnectNetworkModerationTypeEnum`.
    
*   `visibility` (_object_)
    
    ConnectNetworkModerationVisibilityEnum
    
    Visibility behavior of a flag for various user types.
    
    *   `ModeratorsOnly` — The flag is visible only to users with moderation permissions on the flagged element or item.
    *   `SelfAndModerators` — The flag is visible to the creator of the flag and to users with moderation permissions on the flagged element or item.
    
    _Available in: v30.0_
    
    Includes all fields of `ConnectNetworkModerationVisibilityEnum`.
    

### ConnectPublishStatusEnum

Publish status of the target.

We recommend setting the publish status to `Draft`. If you specify `Live`, your changes revert after you publish the site.

_Available in: v47.0_

Type: `string`.

Allowed values: `Draft`, `Live`.

### AudienceCollection

Collection of audiences.

*   `audiences` (_array of Audience_)
    
    Collection of audiences.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    

### AudienceInput

An audience.

*   `criteria` (_array of AudienceCriterionInput_)
    
    List of audience criteria to update or add. An audience can have up to 100 criteria.
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    
*   `customFormula` (_string_)
    
    Custom formula for the audience criteria. For example, (1 AND 2) OR 3.
    
    Required when creating an audience with the `formulaFilterType` set to `CustomLogicMatches`. Optional, otherwise
    
    _Available in: v47.0_
    
*   `formulaFilterType` (_object_)
    
    FormulaFilterTypeEnum
    
    Formula filter type for the personalization audience. Values are:
    
    *   `AllCriteriaMatch` — All audience criteria are true (AND operation).
    *   `AnyCriterionMatches` — Any audience criterion is true (OR operation).
    *   `CustomLogicMatches` — Audience criteria match the custom formula (for example, (1 AND 2) OR 3).
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    
    Includes all fields of `FormulaFilterTypeEnum`.
    
*   `name` (_string_)
    
    Name of the audience.
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    

### Audience

An audience.

*   `criteria` (_array of AudienceCriteriaDetails_)
    
    Criteria details for the audience.
    
    _Available in: v47.0_
    
    _Filter group: Medium_
    
*   `customFormula` (_string_)
    
    Custom formula for the audience criteria. For example, (1 AND 2) OR 3.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `formulaFilterType` (_object_)
    
    FormulaFilterTypeEnum
    
    Formula filter type for the personalization audience. Values are:
    
    *   `AllCriteriaMatch` — All audience criteria are true (AND operation).
    *   `AnyCriterionMatches` — Any audience criterion is true (OR operation).
    *   `CustomLogicMatches` — Audience criteria match the custom formula (for example, (1 AND 2) OR 3).
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
    Includes all fields of `FormulaFilterTypeEnum`.
    
*   `id` (_string (Id)_)
    
    ID of the audience.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Name of the audience.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `targets` (_array of AudienceTargetAssignment_)
    
    Target assignments for the audience.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    URL to this audience.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    

### Batch

Result of an entire batch request operation. Results are ordered in the same order in which the requests were given. Results may either be a successful result with a response body, a successful result without a response body, or an error result without a response body. Success and error are determined by the status code in each result.

*   `hasErrors` (_boolean_)
    
    True if at least one of the results is an error (a status code in the 400 or 500 range).
    
    _Available in: v28.0_
    
    _Filter group: Small_
    
*   `results` (_array of BatchResult_)
    
    Collection of batch result items. One for each request input.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    

### TargetCollection

List of personalization targets.

*   `targets` (_array of Target_)
    
    List of personalization targets.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    

### TargetCollectionInput

Collection of targets to create.

*   `targets` (_array of TargetInput_, required)
    
    List of targets to create.
    
    _Available in: v47.0_
    

### TargetCollectionUpdateInput

Collection of targets to update.

*   `targets` (_array of TargetUpdateInput_, required)
    
    List of targets to update.
    
    _Available in: v47.0_
    

### Target

Personalization target information.

*   `audience` (_object_)
    
    AudienceTarget
    
    Audience assigned to the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
    Includes all fields of `AudienceTarget`.
    
*   `formulaScope` (_object_)
    
    FormulaScope
    
    Formula scope of the target.
    
    _Available in: v50.0_
    
    _Filter group: Small_
    
    Includes all fields of `FormulaScope`.
    
*   `groupName` (_string_)
    
    Group name of the target. Groups bundle related target and audience pairs.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `priority` (_integer_)
    
    Priority of the target. Within a group, priority determines which target is returned if the user matches more than one audience.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `publishStatus` (_object_)
    
    ConnectPublishStatusEnum
    
    Publish status of the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectPublishStatusEnum`.
    
*   `targetType` (_string_)
    
    Type of target, indicating the nature of the data being targeted.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `targetValue` (_string_)
    
    Value of the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    URL to the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `scope` (_array of Scope_)
    
    List of scopes for the target.
    
    In version 50.0 and later, the `formulaScope` property returns this information.
    
    _Available in: v47.0–49.0_
    
    _Filter group: Small_
    

### CommunityPreviewUrl

Preview URL for an Experience Cloud site page.

*   `previewUrl` (_string (url)_)
    
    Preview URL.
    
    _Available in: v61.0_
    
    _Filter group: Small_
    

### CommunityPublish

Result of publishing an Experience Cloud site.

*   `id` (_string (Id)_)
    
    ID of the site.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `jobId` (_string_)
    
    ID of the [BackgroundOperation](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_backgroundoperation.htm) record for the publish job. Query this ID to track the publish status of the site.
    
    _Available in: v58.0_
    
    _Filter group: Small_
    
*   `message` (_string_)
    
    Message describing the result of publishing the site.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Name of the site.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `url` (_string_)
    
    Connect REST API URL to the site.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    

### ExternalManagedAccountCollectionOutput

Collection of externally managed accounts.

*   `externalManagedAccounts` (_array of ExternalManagedAccountOutput_)
    
    Collection of externally managed accounts.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `totalExternalManagedAccounts` (_integer_)
    
    Total number of externally managed accounts.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    

### FormFieldInput

Marketing integration form field.

*   `name` (_string_, required)
    
    Name of the marketing integration form field.
    
    _Available in: v53.0_
    
*   `type` (_object_, required)
    
    FormFieldTypeEnum
    
    Type of marketing integration form field.
    
    _Available in: v53.0_
    
    Includes all fields of `FormFieldTypeEnum`.
    

### FormFieldList

List of form fields.

*   `formFields` (_array of FormField_) List of form fields associated with the marketing integration form.

### FormSubmissionFieldInput

Marketing integration form field submission.

*   `name` (_string_, required)
    
    Name of the marketing integration form field.
    
    _Available in: v53.0_
    
*   `value` (_string_, required)
    
    Value of the marketing integration form field.
    
    _Available in: v53.0_
    

### KnowledgeArticleVersion

A knowledge article version.

*   `articleType` (_string_)
    
    Type of the knowledge article.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the knowledge article version.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `knowledgeArticleId` (_string (Id)_)
    
    ID of the corresponding knowledge article.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `lastPublishedDate` (_string (date-time)_)
    
    Last published date of the knowledge article. Format is ISO 8601.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `summary` (_string_)
    
    Summary of the knowledge article contents.
    
    _Available in: v36.0_
    
    _Filter group: Medium_
    
*   `title` (_string_)
    
    Title of the knowledge article.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `urlName` (_string_)
    
    URL name of the knowledge article.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    

### CommunityTemplate

Experience Builder template.

*   `publisher` (_string_)
    
    Name of the publisher of the site’s template.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `templateName` (_string_)
    
    Name of the site’s template.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    

### FileSummary

Description of a file.

For all rendition properties, note the following: For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.

*   `checksum` (_string_)
    
    MD5 checksum for the file.
    
    _Available in: v26.0_
    
    _Filter group: Big_
    
*   `contentHubRepository` (_object_)
    
    FilesConnectRepository
    
    External data source associated with this file, or `null` if it doesn’t point to an external file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectRepository`.
    
*   `contentModifiedDate` (_string_)
    
    ISO 8601 format date string, for example, 2011-02-25T18:24:31.000Z. File-specific modified date, which is updated only for direct file operations, such as rename. Modifications to the file from outside of Salesforce can update this date.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `contentSize` (_integer_)
    
    Size of the file in bytes.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `contentUrl` (_string_)
    
    If the file is a link, returns the URL, otherwise the string `null`.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `contentVersionId` (_string_)
    
    ID of the content version.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `createdDate` (_string_)
    
    ISO 8601 date string when the file was created.
    
    _Available in: v41.0_
    
    _Filter group: Small_
    
*   `description` (_string_)
    
    Description of the file.
    
    _Available in: v24.0_
    
    _Filter group: Medium_
    
*   `downloadUrl` (_string_)
    
    URL to the file.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `externalDocumentUrl` (_string_)
    
    External URL this file points to, or `null` if it doesn’t point to an external file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `externalFilePermissionInformation` (_object_)
    
    ExternalFilePermissionInformation
    
    External file permission information, such as available groups, available permission types, and current sharing status, or `null` for non-external files or when `includeExternalFilePermissionsInfo` is `false`.
    
    _Available in: v35.0_
    
    _Filter group: Big_
    
    Includes all fields of `ExternalFilePermissionInformation`.
    
*   `fileExtension` (_string_)
    
    Extension of the file.
    
    _Available in: v26.0_
    
    _Filter group: Small_
    
*   `fileType` (_string_)
    
    Type of file, such as PDF, PowerPoint.
    
    _Available in: v24.0_
    
    _Filter group: Medium_
    
*   `flashRenditionStatus` (_string_)
    
    Specifies if a flash preview version of the file has been rendered.
    
    Flash renditions were retired on July 16, 2021.
    
    _Available in: v24.0_
    
    _Filter group: Big_
    
*   `id` (_string_)
    
    18-character ID of the file.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `isArchived` (_boolean_)
    
    Specifies if the file is archived (`true`) or not (`false`).
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `isFileAsset` (_boolean_)
    
    Specifies whether the file is an asset.
    
    _Available in: v46.0_
    
    _Filter group: Small_
    
*   `isInMyFileSync` (_boolean_)
    
    `true` if the file is synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v26.0_
    
    _Filter group: Medium_
    
*   `isMajorVersion` (_boolean_)
    
    `true` if the file is a major version; `false` if the file is a minor version. Major versions can’t be replaced.
    
    _Available in: v31.0_
    
    _Filter group: Medium_
    
*   `mimeType` (_string_)
    
    MIME type of the file.
    
    _Available in: v26.0_
    
    _Filter group: Medium_
    
*   `moderationFlags` (_object_)
    
    ModerationFlags
    
    Flags for this file. Moderators can view and act on flagged items.
    
    If the `communityModeration` property of the Features response body is `false`, this property is `null`.
    
    _Available in: v30.0_
    
    _Filter group: Big_
    
    Includes all fields of `ModerationFlags`.
    
*   `modifiedDate` (_string_)
    
    ISO 8601 format date string, for example, 2011-02-25T18:24:31.000Z. Modifications to the file from within Salesforce update this date.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `motif` (_object_)
    
    Motif
    
    Small, medium, and large icons indicating the type of the object. The motif can also contain the object’s base color.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
    Includes all fields of `Motif`.
    
*   `mySubscription` (_object_)
    
    Reference
    
    If the context user is following this file, this contains information about the subscription, otherwise returns `null`.
    
    _Available in: v23.0_
    
    _Filter group: Medium_
    
    Includes all fields of `Reference`.
    
*   `name` (_string_)
    
    Name of the file.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `origin` (_string_)
    
    Specifies the file source. Valid values are:
    
    *   `Chatter` — file came from Chatter
    *   `Content` — file came from content
    *   `FileField` — file came from a record or other form
    
    _Available in: v24.0_
    
    _Filter group: Big_
    
*   `owner` (_object_)
    
    UserSummary
    
    Owner of the file.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
    Includes all fields of `UserSummary`.
    
*   `parentFolder` (_object_)
    
    Reference
    
    Reference to the parent folder.
    
    _Available in: v28.0_
    
    _Filter group: Small_
    
    Includes all fields of `Reference`.
    
*   `pdfRenditionStatus` (_string_)
    
    Specifies if a PDF preview version of the file has been rendered.
    
    _Available in: v24.0_
    
    _Filter group: Big_
    
*   `publishStatus` (_string_)
    
    Publish status of the file. One of these values:
    
    *   `PendingAccess` —File is pending publishing.
    *   `PrivateAccess` —File is private.
    *   `PublicAccess` —File is public.
    
    _Available in: v29.0_
    
    _Filter group: Small_
    
      
    Allowed values: `PendingAccess`, `PrivateAccess`, `PublicAccess`.
*   `renditionUrl` (_string_)
    
    URL to the rendition resource for the file. For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.
    
    _Available in: v26.0_
    
    _Filter group: Medium_
    
*   `renditionUrl240By180` (_string_)
    
    URL to the 240px by 180px rendition for the file, if available. For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.
    
    _Available in: v29.0_
    
    _Filter group: Medium_
    
*   `renditionUrl720By480` (_string_)
    
    URL to the 720px by 480px rendition for the file, if available. For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.
    
    _Available in: v29.0_
    
    _Filter group: Medium_
    
*   `repositoryFileId` (_string_)
    
    ID of the file in the external repository, or `null` if the file isn’t external.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `repositoryFileUrl` (_string_)
    
    URL to the Connect REST API resource giving access to the external repository file properties, or `null` if this file doesn’t point to an external file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `sharingOption` (_string_)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` —Resharing of the file is allowed.
    *   `Restricted` —Resharing of the file is restricted.
    
    _Available in: v35.0_
    
    _Filter group: Medium_
    
      
    Allowed values: `Allowed`, `Restricted`.
*   `sharingPrivacy` (_string_)
    
    Sharing privacy of a file. Values are:
    
    *   `None` —File is visible to anyone with record access.
    *   `PrivateOnRecords` —File is private on records.
    
    _Available in: v41.0_
    
    _Filter group: Medium_
    
      
    Allowed values: `None`, `PrivateOnRecords`.
*   `sharingRole` (_string_)
    
    Sharing role of the file. One of these values:
    
    *   `Admin` —Owner permission, but doesn’t own the file.
    *   `Collaborator` —Viewer permission, and can edit, change permissions, and upload a new version of a file.
    *   `Owner` —Collaborator permission, and can make a file private, and delete a file.
    *   `Viewer` —Can view, download, and share a file.
    *   `WorkspaceManaged` —Permission controlled by the library.
    
    _Available in: v29.0_
    
    _Filter group: Medium_
    
      
    Allowed values: `Admin`, `Collaborator`, `Owner`, `Viewer`, `WorkspaceManaged`.
*   `systemModstamp` (_string_)
    
    ISO 8601 date string indicating when a user or any automated system process, such as a trigger, updated the file.
    
    _Available in: v41.0_
    
    _Filter group: Small_
    
*   `textPreview` (_string_)
    
    Text preview of the file if available; `null` otherwise.
    
    _Available in: v30.0_
    
    _Filter group: Big_
    
*   `thumb120By90RenditionStatus` (_string_)
    
    Specifies the rendering status of the 120 x 90 preview image of the file. One of these values:
    
    *   `Processing` — Image is being rendered.
    *   `Failed` — Rendering process failed.
    *   `Success` — Rendering process was successful.
    *   `Na` — Rendering is not available for this image.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `thumb240By180RenditionStatus` (_string_)
    
    Specifies the rendering status of the 240 x 180 preview image of the file. One of these values:
    
    *   `Processing` — Image is being rendered.
    *   `Failed` — Rendering process failed.
    *   `Success` — Rendering process was successful.
    *   `Na` — Rendering is not available for this image.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `thumb720By480RenditionStatus` (_string_)
    
    Specifies the rendering status of the 720 x 480 preview image of the file. One of these values:
    
    *   `Processing` — Image is being rendered.
    *   `Failed` — Rendering process failed.
    *   `Success` — Rendering process was successful.
    *   `Na` — Rendering is not available for this image.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `title` (_string_)
    
    Title of the file.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `type` (_string_)
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `url` (_string_)
    
    URL to the file.
    
    _Available in: v24.0_
    
    _Filter group: Small_
    
*   `versionNumber` (_string_)
    
    Version number of the file.
    
    _Available in: v24.0_
    
    _Filter group: Medium_
    

### ModerationFlagsCollection

Collection of flags on a feed item, comment, or file.

*   `currentPageToken` (_string_)
    
    Token identifying the current page.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `currentPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the current page.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `flags` (_array of ModerationFlagItem_)
    
    List of flag details.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `nextPageToken` (_string_)
    
    Token identifying the next page, or `null` if there isn’t a next page.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `nextPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the next page, or `null` if there isn’t a next page.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `pageSize` (_integer_)
    
    Number of items per page.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    

### AudienceCriterionInput

Audience criterion.

*   `criterion` (_array of AudienceCriterionValueInput_)
    
    List of mappings of audience criteria fields and values.
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    
*   `criterionNumber` (_integer_)
    
    Number associated with the audience criterion in a formula. For example, (1 AND 2) OR 3. If unspecified, criteria are assigned numbers in the order that they’re added.
    
    _Available in: v47.0_
    
*   `criterionOperator` (_object_)
    
    AudienceCriteriaOperatorEnum
    
    Operator used in the personalization audience criterion.
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    
    Includes all fields of `AudienceCriteriaOperatorEnum`.
    
*   `criterionType` (_object_)
    
    AudienceCriteriaTypeEnum
    
    Type of personalization audience criterion. Values are:
    
    *   `Audience` — Criterion based on audience.
    *   `Default` — Audience has no criteria.
    *   `Domain` — Criterion based on domain.
    *   `FieldBased` — Criterion based on object fields.
    *   `GeoLocation` — Criterion based on location.
    *   `Permission` — Criterion based on standard or custom permissions.
    *   `Profile` — Criterion based on profile.
    
    Required when creating an audience. Optional when updating an audience
    
    _Available in: v47.0_
    
    Includes all fields of `AudienceCriteriaTypeEnum`.
    

### FormulaFilterTypeEnum

Formula filter type for the personalization audience. Values are:

*   `AllCriteriaMatch` — All audience criteria are true (AND operation).
*   `AnyCriterionMatches` — Any audience criterion is true (OR operation).
*   `CustomLogicMatches` — Audience criteria match the custom formula (for example, (1 AND 2) OR 3).

Required when creating an audience. Optional when updating an audience

_Available in: v47.0_

Type: `string`.

Allowed values: `AllCriteriaMatch`, `AnyCriterionMatches`, `CustomLogicMatches`.

### AudienceCriteriaDetails

Audience criteria.

*   `criterion` (_array of AudienceCriterionDetails_)
    
    List of mappings of audience criteria fields and values.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `criterionNumber` (_integer_)
    
    Number associated with the audience criterion in a formula. For example, (1 AND 2) OR 3. If unspecified, criteria are assigned numbers in the order that they’re added.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `criterionOperator` (_object_)
    
    AudienceCriteriaOperatorEnum
    
    Operator used in the personalization audience criterion.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
    Includes all fields of `AudienceCriteriaOperatorEnum`.
    
*   `criterionType` (_object_)
    
    AudienceCriteriaTypeEnum
    
    Type of personalization audience criterion. Values are:
    
    *   `Audience` — Criterion based on audience.
    *   `Default` — Audience has no criteria.
    *   `Domain` — Criterion based on domain.
    *   `FieldBased` — Criterion based on object fields.
    *   `GeoLocation` — Criterion based on location.
    *   `Permission` — Criterion based on standard or custom permissions.
    *   `Profile` — Criterion based on profile.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
    Includes all fields of `AudienceCriteriaTypeEnum`.
    

### AudienceTargetAssignment

Target assignments for an audience.

*   `formulaScope` (_object_)
    
    FormulaScope
    
    Formula scope of the target.
    
    _Available in: v51.0_
    
    _Filter group: Small_
    
    Includes all fields of `FormulaScope`.
    
*   `groupName` (_string_)
    
    Group name of the target. Groups bundle related target and audience pairs.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the target.
    
    _Available in: v48.0_
    
    _Filter group: Small_
    
*   `isMatch` (_boolean_)
    
    Specifies whether the target matches the current context (`true`) or doesn’t (`false`).
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `priority` (_integer_)
    
    Priority of the target. Within a group, priority determines which target is returned if the user matches more than one audience.
    
    _Available in: v48.0_
    
    _Filter group: Small_
    
*   `publishStatus` (_object_)
    
    ConnectPublishStatusEnum
    
    Publish status of the target.
    
    _Available in: v48.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectPublishStatusEnum`.
    
*   `targetType` (_string_)
    
    Type of target, indicating the nature of the data being targeted.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `targetValue` (_string_)
    
    Value of the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    URL to the target.
    
    _Available in: v48.0_
    
    _Filter group: Small_
    

### BatchResult

Describes the result of an individual request in a batch request.

*   `result` (_any_) The result of this individual request. The type depends on the batch resource; for an error result it is an error message.
*   `statusCode` (_integer_) An HTTP status code indicating the status of this individual request in the batch.

### TargetInput

Target to create.

*   `audienceId` (_string_, required)
    
    ID of the audience to assign to the target.
    
    _Available in: v47.0_
    
*   `groupName` (_string_, required)
    
    Group name of the target. Groups bundle related target and audience pairs. You can have up to 2,000 groups and 500 targets per group. To determine the group name for targets of type `ExperienceVariation`, see [Personalization Target Developer and Group Names](https://developer.salesforce.com/docs/atlas.en-us.communities_dev.meta/communities_dev/communities_dev_personalization_names.htm) in the Experience Cloud Developer Guide.
    
    _Available in: v47.0_
    
*   `priority` (_integer_)
    
    Priority of the target. Within a group, priority determines which target is returned if the user matches more than one audience.
    
    _Available in: v47.0_
    
*   `publishStatus` (_object_)
    
    ConnectPublishStatusEnum
    
    Publish status of the target.
    
    We recommend setting the publish status to `Draft`. If you specify `Live`, your changes revert after you publish the site.
    
    _Available in: v47.0_
    
    Includes all fields of `ConnectPublishStatusEnum`.
    
*   `targetType` (_string_, required)
    
    Type of target, indicating the nature of the data being targeted. Supported values include:
    
    *   `ExperienceVariation` (version 47.0 and later)
    *   Custom object API names, such as `{CustomObjectName}__c` (version 47.0 and later)
    *   `NavigationLinkSet` (version 49.0 and later)
    *   `Topic` (version 49.0 and later)
    *   `CollaborationGroup` (version 49.0 and later)
    *   `KnowledgeArticle` (version 49.0 and later)
    *   `ContentDocument` (version 49.0 and later)
    *   `ManagedContent` (version 49.0 and later)
    *   `Report` (version 49.0 and later)
    *   `Dashboard` (version 49.0 and later)
    
    You can have up to 2,500 `ExperienceVariation` targets and 25,000 record targets.
    
    _Available in: v47.0_
    
*   `targetValue` (_string_, required)
    
    Value of the target. If `targetType` is `ExperienceVariation`, `targetValue` is the developer name of the experience variation. If `targetType` is `{CustomObjectName}__c`, `targetValue` is the ID of the custom object. To determine the developer name for targets of type `ExperienceVariation`, see [Personalization Target Developer and Group Names](https://developer.salesforce.com/docs/atlas.en-us.communities_dev.meta/communities_dev/communities_dev_personalization_names.htm) in the Experience Cloud Developer Guide.
    
    _Available in: v47.0_
    

### TargetUpdateInput

Target to update.

*   `audienceId` (_string_)
    
    ID of the audience to assign to the target.
    
    Required if `priority` isn’t specified. Otherwise, Optional
    
    _Available in: v47.0_
    
*   `priority` (_integer_)
    
    Priority of the target. Within a group, priority determines which target is returned if the user matches more than one audience.
    
    Required if `audienceId` isn’t specified. Otherwise, Optional
    
    _Available in: v47.0_
    
*   `targetId` (_string_, required)
    
    ID of the target to update.
    
    _Available in: v47.0_
    

### AudienceTarget

Audience assigned to a target.

*   `audienceName` (_string_)
    
    Name of the audience assigned to the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the audience assigned to the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    URL to the audience assigned to the target.
    
    _Available in: v47.0_
    
    _Filter group: Small_
    

### FormulaScope

Formula scope for a target.

*   `contextValuesMap` (_object_)
    
    Map of context values for the scope.
    
    _Available in: v52.0_
    
    _Filter group: Small_
    
    Additional properties: `object`.
    
*   `fields` (_array of string_)
    
    List of fields of the scope.
    
    _Available in: v50.0_
    
    _Filter group: Small_
    
*   `formula` (_string_)
    
    Formula of the scope.
    
    _Available in: v50.0_
    
    _Filter group: Medium_
    
*   `contextValues` (_object_)
    
    Map of context values for the scope.
    
    In version 52.0 and later, use the `contextValuesMap` property.
    
    _Available in: v50.0–51.0_
    
    _Filter group: Small_
    
    Additional properties: `string`.
    

### Scope

Scope information for a target.

*   `name` (_string_)
    
    Name of the scope for the target.
    
    _Available in: v47.0–49.0_
    
    _Filter group: Small_
    
*   `value` (_string_)
    
    Value of the scope for the target.
    
    _Available in: v47.0–49.0_
    
    _Filter group: Small_
    

### ExternalManagedAccountOutput

Externally managed account.

*   `accountId` (_string (Id)_)
    
    ID of the account managed by another account.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `accountName` (_string_)
    
    Name of the external managed account record.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
*   `address` (_object_)
    
    ExternalManagedAccountAddressOutput
    
    Default shipping address of the external managed account.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
    Includes all fields of `ExternalManagedAccountAddressOutput`.
    
*   `externalManagedAccountId` (_string (Id)_)
    
    ID of the external managed account record.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `isMyAccount` (_boolean_)
    
    Specifies whether the account is the context user’s account (`true`) or not (`false`).
    
    _Available in: v53.0_
    
    _Filter group: Small_
    

### FormFieldTypeEnum

Type of marketing integration form field.

_Available in: v53.0_

_Filter group: Small_

Type: `string`.

Allowed values: `Boolean`, `Date`, `EmailAddress`, `Number`, `Text`.

### FormField

Marketing integration form field.

*   `name` (_string_)
    
    Name of the marketing integration form field.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
*   `type` (_object_)
    
    FormFieldTypeEnum
    
    Type of marketing integration form field.
    
    _Available in: v53.0_
    
    _Filter group: Small_
    
    Includes all fields of `FormFieldTypeEnum`.
    

### FilesConnectRepository

Information about a Files Connect repository.

*   `authentication` (_object_)
    
    FilesConnectRepositoryAuthentication
    
    Repository authentication information.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectRepositoryAuthentication`.
    
*   `features` (_object_)
    
    FilesConnectRepositoryFeatures
    
    Repository features.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectRepositoryFeatures`.
    
*   `id` (_string_)
    
    18-character ID of the external data source.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `label` (_string_)
    
    Repository label.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `motif` (_object_)
    
    Motif
    
    Small, medium, and large icons indicating the type of the object. The motif can also contain the object’s base color.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
    Includes all fields of `Motif`.
    
*   `mySubscription` (_object_)
    
    Reference
    
    If the context user is following this file, this contains information about the subscription, otherwise returns `null`.
    
    _Available in: v23.0_
    
    _Filter group: Medium_
    
    Includes all fields of `Reference`.
    
*   `name` (_string_)
    
    Repository name.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `providerType` (_object_)
    
    FilesConnectProviderType
    
    Repository provider type.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectProviderType`.
    
*   `rootFolderItemsUrl` (_string (url)_)
    
    URL to the repository root folder items, or `null` if the repository does not support browsing.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `type` (_string_)
    
    Type of record, `ContentHubRepository`.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `url` (_string_)
    
    Connect REST API resource URL to the Files Connect repository.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    

### ExternalFilePermissionInformation

External file permissions information.

*   `externalFilePermissionTypes` (_array of FilesConnectPermissionType_)
    
    Available permission types for the parent folder of the external file, or `null` for non-external files or when `includeExternalFilePermissionsInfo` is `false`.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `externalFilePermissionsFailure` (_boolean_)
    
    `true` if the retrieval of external file information failed or if `includeExternalFilePermissionsInfo` is `false`; `false` otherwise.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `externalFilePermissionsInfoFailureReason` (_string_)
    
    Explanation of the failure if a failure occurred and `includeExternalFilePermissionsInfo` is `true`; `null` otherwise.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `externalFileSharingStatus` (_object_)
    
    ConnectExternalItemSharingTypeEnum
    
    Sharing status for the external file. Values are:
    
    *   `DomainSharing` — File is shared with the domain.
    *   `PrivateSharing` — File is private or shared only with individuals.
    *   `PublicSharing` — File is publicly shared.
    
    Value is `null` for non-external files or when `includeExternalFilePermissionsInfo` is `false`.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectExternalItemSharingTypeEnum`.
    
*   `repositoryPublicGroups` (_array of RepositoryGroupSummary_)
    
    Available public groups in the external repository or `null` for non-external files or when `includeExternalFilePermissionsInfo` is `false`.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    

### Motif

The motif properties contain URLs for small, medium, and large icons that indicate the Salesforce record type. Common record types are files, users, and groups, but all record types have a set of motif icons. Custom object records use their tab style icon. All icons are available to unauthenticated users so that, for example, you can display the motif icons in an email. The motif can also contain the record type’s base color.

The motif images are icons, not user uploaded images or photos. For example, every user has the same set of motif icons. Custom object records use their tab style icon, for example, the following custom object uses the “boat” tab style: `"motif": { "color": "8C004C", "largeIconUrl": "/img/icon/custom51_100/boat64.png", "mediumIconUrl": "/img/icon/custom51_100/boat32.png", "smallIconUrl": "/img/icon/custom51_100/boat16.png", "svgIconUrl": null },` Users use the following icons: `"motif": { "color": "1797C0", "largeIconUrl": "/img/icon/profile64.png", "mediumIconUrl": "/img/icon/profile32.png", "smallIconUrl": "/img/icon/profile16.png", "svgIconUrl": null },` Groups use the following icons: `"motif": { "color": "1797C0", "largeIconUrl": "/img/icon/groups64.png", "mediumIconUrl": "/img/icon/groups32.png", "smallIconUrl": "/img/icon/groups16.png" },` Files use the following icons: `"motif": { "color": "1797C0", "largeIconUrl": "/img/content/content64.png", "mediumIconUrl": "/img/content/content32.png", "smallIconUrl": "/img/icon/files16.png", "svgIconUrl": null },` To view the icons in the previous examples, preface the URL with https:// `{instance_name}`. For example, https:// `{instance_name}` /img/icon/profile64.png.

*   `color` (_string_)
    
    A hex value representing the base color of the record type, or `null`.
    
    _Available in: v29.0_
    
    _Filter group: Small_
    
*   `largeIconUrl` (_string_)
    
    A large icon indicating the record type.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
*   `mediumIconUrl` (_string_)
    
    A medium icon indicating the record type.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
*   `smallIconUrl` (_string_)
    
    A small icon indicating the record type.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
*   `svgIconUrl` (_string_)
    
    An icon in SVG format indicating the record type, or `null` if the icon doesn’t exist.
    
    _Available in: v34.0_
    
    _Filter group: Small_
    

### Reference

A reference to a record.

*   `id` (_string_)
    
    The ID of the record being referenced, which could be an 18-character ID or some other string identifier.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    The URL to the resource endpoint.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    

### UserSummary

The User Summary response body is a subset of the User Detail response body.

*   `additionalLabel` (_string_)
    
    If one exists, an extra label for the user, for example, “Customer,” “Partner,” or “Acme Corporation.”
    
    _Available in: v30.0_
    
    _Filter group: Small_
    
*   `communityNickname` (_string_)
    
    User’s nickname in the site.
    
    _Available in: v32.0_
    
    _Filter group: Medium_
    
*   `companyName` (_string_)
    
    Name of the company.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `displayName` (_string_)
    
    User’s name that is displayed in the site. If nicknames are enabled, the nickname is displayed. If nicknames aren’t enabled, the full name is displayed.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `firstName` (_string_)
    
    User's first name. In version 39.0 and later, if nicknames are enabled, `firstName` is `null`.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `id` (_string_)
    
    18-character ID of the user.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `isActive` (_boolean_)
    
    `true` if user is active, `false` otherwise.
    
    _Available in: v25.0_
    
    _Filter group: Small_
    
*   `isChatterGuest` (_boolean_)
    
    `true` if user is a Chatter customer, `false` otherwise
    
    In version 26.0 and later, user the `userType` property.
    
    _Available in: v23.0–26.0_
    
*   `isInThisCommunity` (_boolean_)
    
    `true` if the user is in the same Experience Cloud site as the context user; `false` otherwise. Can be `false` for record feed @mentions on posts with the scope “All Users.”
    
    _Available in: v28.0_
    
    _Filter group: Small_
    
*   `lastName` (_string_)
    
    User's last name. In version 39.0 and later, if nicknames are enabled, `lastName` is `null`.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `motif` (_object_)
    
    Motif
    
    Small, medium, and large icons indicating that the object is a user. The motif can also contain the object’s base color.
    
    The motif icon is not the user’s profile photo.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
    Includes all fields of `Motif`.
    
*   `mySubscription` (_object_)
    
    Reference
    
    If the context user is following this user, contains information about the subscription, otherwise `null`.
    
    _Available in: v23.0_
    
    _Filter group: Medium_
    
    Includes all fields of `Reference`.
    
*   `name` (_string_)
    
    Locale-based concatenation of first and last names. In version 39.0 and later, if nicknames are enabled, `name` is the nickname.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `outOfOffice` (_object_)
    
    OutOfOffice
    
    If one exists, extra out-of-office message for the user.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `OutOfOffice`.
    
*   `photo` (_object_)
    
    Photo
    
    Information about the user's photo.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
    Includes all fields of `Photo`.
    
*   `reputation` (_object_)
    
    Reputation
    
    Reputation of the user in the site, which is determined by the number of points earned from events and actions performed in the site.
    
    _Available in: v32.0_
    
    _Filter group: Big_
    
    Includes all fields of `Reputation`.
    
*   `stamps` (_array of Stamp_)
    
    Collection of the user’s stamps.
    
    In version 44.0 and later, use SOQL to get a user’s stamps.
    
    _Available in: v39.0–43.0_
    
    _Filter group: Small_
    
*   `title` (_string_)
    
    Title of the user.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `type` (_string_)
    
    Value is `User`.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `url` (_string_)
    
    URL to the user's Chatter profile.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `userType` (_string_)
    
    Type of user. Valid values are:
    
    *   `ChatterGuest` —User is an external user in a private group.
    *   `ChatterOnly` —User is a Chatter Free customer.
    *   `Guest` —User is unauthenticated.
    *   `Internal` —User is a standard org member.
    *   `Portal` —User is an external user in an Experience Cloud site.
    *   `System` —User is Chatter Expert or a system user.
    *   `Undefined` —User is a user type that is a custom object.
    
    _Available in: v26.0_
    
    _Filter group: Medium_
    
      
    Allowed values: `ChatterGuest`, `ChatterOnly`, `Guest`, `Internal`, `Portal`, `System`, `Undefined`.

### ModerationFlagItem

Flag details on a feed item, comment, or file.

*   `createdBy` (_string_)
    
    ID of the user who flagged the item.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `createdDate` (_string (date-time)_)
    
    Date when the item was flagged. Format is ISO 8601.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the moderation flag.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `moderationType` (_object_)
    
    ConnectNetworkModerationTypeEnum
    
    Type of moderation flag. Values are:
    
    *   `FlagAsInappropriate` — Flag for inappropriate content.
    *   `FlagAsSpam` — Flag for spam.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectNetworkModerationTypeEnum`.
    
*   `note` (_string_)
    
    Note from user who flagged the item.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
*   `visibility` (_object_)
    
    ConnectNetworkModerationVisibilityEnum
    
    Visibility behavior of a flag for various user types. Values are:
    
    *   `ModeratorsOnly` — The flag is visible only to users with moderation permissions on the flagged element or item.
    *   `SelfAndModerators` — The flag is visible to the creator of the flag and to users with moderation permissions on the flagged element or item.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectNetworkModerationVisibilityEnum`.
    

### AudienceCriterionValueInput

Audience criterion value.

*   `audienceId` (_string_)
    
    ID of an audience.
    
[...]
